Page MenuHomePhabricator

Unsubstituted message footer in mail notification of thanks
Closed, ResolvedPublic

Description

I received a notification of thanks on the Italian Wikisource:

From: Wikisource <wiki@wikimedia.org>
Subject: Alex brollo dankt dir für deine Bearbeitung auf Wikisource
To: "Tim.landscheidt" <tim@tim-landscheidt.de>
Date: Mon, 16 May 2016 08:51:15 +0200 (13 hours, 59 minutes ago)
Reply-To: No Reply <wiki@wikimedia.org>

Alex brollo dankt dir für deine Bearbeitung auf „Utente:Alex brollo“.

Bearbeitung ansehen: <https://it.wikisource.org/w/index.php?title=Utente:Alex_brollo&oldid=prev&diff=1735096>

<echo-email-footer-default>

The last line looks wrong to me.

My UI language set on it.wikisource.org is "de - Deutsch".

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRemove EchoBundleEmailInterval
mediawiki/extensions/Echo : masterFollowup to I95dc3d70c8: Get rid of job queue entry for email bundling
mediawiki/extensions/Echo : masterGet rid of email bundling
mediawiki/extensions/Echo : wmf/1.28.0-wmf.1Bring back messages used by old email formatter system
mediawiki/extensions/Echo : wmf/1.28.0-wmf.2Bring back messages used by old email formatter system
mediawiki/extensions/Echo : masterBring back messages used by old email formatter system
mediawiki/extensions/Echo : masterAttempt to fix unsubstituted message in Echo emails
mediawiki/extensions/Echo : wmf/1.28.0-wmf.1Attempt to fix unsubstituted message in Echo emails

Event Timeline

scfc created this task.May 16 2016, 8:57 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 16 2016, 8:57 PM
Quiddity added a subscriber: Quiddity.
Catrope triaged this task as Unbreak Now! priority.May 16 2016, 9:40 PM
Catrope added a subscriber: SBisson.
Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptMay 16 2016, 9:40 PM
Catrope assigned this task to SBisson.May 16 2016, 9:51 PM
Catrope added a subscriber: Catrope.

Almost certainly a regression from the plaintext email formatter change.

Change 289091 had a related patch set uploaded (by Catrope):
Attempt to fix unsubstituted message in Echo emails

https://gerrit.wikimedia.org/r/289091

Change 289098 had a related patch set uploaded (by Catrope):
Attempt to fix unsubstituted message in Echo emails

https://gerrit.wikimedia.org/r/289098

Catrope claimed this task.May 16 2016, 10:51 PM

Change 289098 merged by jenkins-bot:
Attempt to fix unsubstituted message in Echo emails

https://gerrit.wikimedia.org/r/289098

Change 289091 merged by jenkins-bot:
Attempt to fix unsubstituted message in Echo emails

https://gerrit.wikimedia.org/r/289091

After this it's no longer unsubstituted, but it's not much better:

To control which emails we send you, check your preferences:

(note the missing preferences link)

@SBisson: could you shed some light about what's supposed to be going on here? Also, hopefully wmf.2 (which contains the HTML formatter change) will behave better?

jayvdb renamed this task from German mail notification of thanks on Italian Wikisource has unsubstituted message footer to Unsubstituted message footer in mail notification of thanks.May 17 2016, 3:33 AM

Change 289217 had a related patch set uploaded (by Sbisson):
Bring back messages used by old email formatter system

https://gerrit.wikimedia.org/r/289217

There's a code path that still uses the old formatter system.

This patch brings back the messages that it depends on: https://gerrit.wikimedia.org/r/#/c/289217/

Next I'm looking at migrating this code path to the new formatter system.

Change 289217 merged by jenkins-bot:
Bring back messages used by old email formatter system

https://gerrit.wikimedia.org/r/289217

Change 289266 had a related patch set uploaded (by Sbisson):
Get rid of email bundling

https://gerrit.wikimedia.org/r/289266

Change 289268 had a related patch set uploaded (by Catrope):
Bring back messages used by old email formatter system

https://gerrit.wikimedia.org/r/289268

Change 289268 merged by jenkins-bot:
Bring back messages used by old email formatter system

https://gerrit.wikimedia.org/r/289268

Catrope lowered the priority of this task from Unbreak Now! to Medium.May 18 2016, 12:07 AM

Lowering priority now that the messages have been brought back.

Change 289346 had a related patch set uploaded (by Catrope):
Bring back messages used by old email formatter system

https://gerrit.wikimedia.org/r/289346

Change 289346 merged by jenkins-bot:
Bring back messages used by old email formatter system

https://gerrit.wikimedia.org/r/289346

Change 289266 merged by jenkins-bot:
Get rid of email bundling

https://gerrit.wikimedia.org/r/289266

Change 289395 had a related patch set uploaded (by Sbisson):
Remove EchoBundleEmailInterval

https://gerrit.wikimedia.org/r/289395

Checked the fix in betalabs for multiple replies and linked pages messages and two Preferences- Notifications- Email options 'Individual notifications as they come in' and 'Daily summary of notifications'

jmatazzoni closed this task as Resolved.May 26 2016, 8:00 PM

Change 297780 had a related patch set uploaded (by Sbisson):
Followup to I95dc3d70c8: Get rid of job queue entry for email bundling

https://gerrit.wikimedia.org/r/297780

Change 297780 merged by jenkins-bot:
Followup to I95dc3d70c8: Get rid of job queue entry for email bundling

https://gerrit.wikimedia.org/r/297780

Change 289395 merged by jenkins-bot:
Remove EchoBundleEmailInterval

https://gerrit.wikimedia.org/r/289395

Mentioned in SAL [2016-07-26T15:11:58Z] <thcipriani@tin> Synchronized wmf-config/CommonSettings.php: SWAT: [[gerrit:289395|Remove EchoBundleEmailInterval (T135446)]] PART I (duration: 00m 34s)

Mentioned in SAL [2016-07-26T15:12:31Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:289395|Remove EchoBundleEmailInterval (T135446)]] PART II (duration: 00m 26s)